Package org.apache.lucene.queryparser.flexible.core.nodes

# Interface ValueQueryNode<T>

All Superinterfaces:
  `QueryNode`

All Known Subinterfaces:
  `FieldValuePairQueryNode<T>`

All Known Implementing Classes:
  `FieldQueryNode`, `FuzzyQueryNode`, `PointQueryNode`, `PrefixWildcardQueryNode`, `QuotedFieldQueryNode`, `WildcardQueryNode`

public interface ValueQueryNode<T> extends QueryNode
This interface should be implemented by `QueryNode` that holds an arbitrary value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getValue()`
  `void`
  `setValue(T value)`

  ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

  `add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, toQueryString, toString, unsetTag`

- ## Method Details

  - ### setValue

    void setValue(T value)

  - ### getValue

    T getValue()